package cn.com.poc.law.service;

import cn.com.poc.law.entity.legislativeDocument.LegislativeDocumentResult;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.law.entity.BizAiLegislativeDocumentWritingEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAiLegislativeDocumentWritingService extends BaseService {

    BizAiLegislativeDocumentWritingEntity get(java.lang.Integer id) throws Exception;

    List<BizAiLegislativeDocumentWritingEntity> findByExample(BizAiLegislativeDocumentWritingEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiLegislativeDocumentWritingEntity save(BizAiLegislativeDocumentWritingEntity entity) throws Exception;

    BizAiLegislativeDocumentWritingEntity update(BizAiLegislativeDocumentWritingEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    LegislativeDocumentResult call(String dialoguesId, String input, String fileUrl, Long userId) throws Exception;

    LegislativeDocumentResult getlegislativeApplyDetail(String dialoguesId, Long userId) throws Exception;

    void saveLegislativeApply(String dialoguesId, LegislativeDocumentResult legislativeDocumentResult) throws Exception;
}